package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 术前讨论小结
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrPreoperativeDiscussion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 性别
     */
    private String sex;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 讨论时间
     */
    private Date discussTime;

    /**
     * 讨论方式
     */
    private String discussType;

    /**
     * 参加人员
     */
    private String participant;

    /**
     * 简要病情
     */
    private String briefNote;

    /**
     * 术前诊断
     */
    private String preoperationDiagnosis;

    /**
     * 手术指征与禁忌
     */
    private String operationIndication;

    /**
     * 可替代的方案
     */
    private String replacePlan;

    /**
     * 拟施手术方式、名称及可能的变更与禁忌症
     */
    private String operationName;

    /**
     * 拟施麻醉方式
     */
    private String anesthesiaType;

    /**
     * 术前准备
     */
    private String preoperationPrepare;

    /**
     * 主要术中、术后风险及防范措施
     */
    private String intraoperativeRisk;

    /**
     * 术中注意事项
     */
    private String intraoperativeNotice;

    /**
     * 术后注意事项
     */
    private String postoperativeNotice;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public Date getDiscussTime() {
        return discussTime;
    }

    public void setDiscussTime(Date discussTime) {
        this.discussTime = discussTime;
    }
    public String getDiscussType() {
        return discussType;
    }

    public void setDiscussType(String discussType) {
        this.discussType = discussType;
    }
    public String getParticipant() {
        return participant;
    }

    public void setParticipant(String participant) {
        this.participant = participant;
    }
    public String getBriefNote() {
        return briefNote;
    }

    public void setBriefNote(String briefNote) {
        this.briefNote = briefNote;
    }
    public String getPreoperationDiagnosis() {
        return preoperationDiagnosis;
    }

    public void setPreoperationDiagnosis(String preoperationDiagnosis) {
        this.preoperationDiagnosis = preoperationDiagnosis;
    }
    public String getOperationIndication() {
        return operationIndication;
    }

    public void setOperationIndication(String operationIndication) {
        this.operationIndication = operationIndication;
    }
    public String getReplacePlan() {
        return replacePlan;
    }

    public void setReplacePlan(String replacePlan) {
        this.replacePlan = replacePlan;
    }
    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }
    public String getAnesthesiaType() {
        return anesthesiaType;
    }

    public void setAnesthesiaType(String anesthesiaType) {
        this.anesthesiaType = anesthesiaType;
    }
    public String getPreoperationPrepare() {
        return preoperationPrepare;
    }

    public void setPreoperationPrepare(String preoperationPrepare) {
        this.preoperationPrepare = preoperationPrepare;
    }
    public String getIntraoperativeRisk() {
        return intraoperativeRisk;
    }

    public void setIntraoperativeRisk(String intraoperativeRisk) {
        this.intraoperativeRisk = intraoperativeRisk;
    }
    public String getIntraoperativeNotice() {
        return intraoperativeNotice;
    }

    public void setIntraoperativeNotice(String intraoperativeNotice) {
        this.intraoperativeNotice = intraoperativeNotice;
    }
    public String getPostoperativeNotice() {
        return postoperativeNotice;
    }

    public void setPostoperativeNotice(String postoperativeNotice) {
        this.postoperativeNotice = postoperativeNotice;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrPreoperativeDiscussion{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", sex=" + sex +
            ", recordDate=" + recordDate +
            ", recTitle=" + recTitle +
            ", discussTime=" + discussTime +
            ", discussType=" + discussType +
            ", participant=" + participant +
            ", briefNote=" + briefNote +
            ", preoperationDiagnosis=" + preoperationDiagnosis +
            ", operationIndication=" + operationIndication +
            ", replacePlan=" + replacePlan +
            ", operationName=" + operationName +
            ", anesthesiaType=" + anesthesiaType +
            ", preoperationPrepare=" + preoperationPrepare +
            ", intraoperativeRisk=" + intraoperativeRisk +
            ", intraoperativeNotice=" + intraoperativeNotice +
            ", postoperativeNotice=" + postoperativeNotice +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
